-- rotate.c : map a->b, b->c, .. z->a
--   purpose: useful for showing tty modes

with Ada.Characters.Handling,
     POSIX.Direct_Character_IO;

use Ada.Characters.Handling,
    POSIX,
    POSIX.Direct_Character_IO;

procedure Rotate is
   Char : POSIX_Character;
begin
   loop
      Char := Get;
      if Char = 'z' then
         Char := 'a';
      elsif Is_ISO_646 (Character (Char)) and Is_Lower (Character (Char)) then
         Char := POSIX_Character'Succ (Char);
      end if;
      Put (Item => Char);
   end loop;
end Rotate;
