with Ada.Text_IO;
with POSIX.Process_Primitives;

procedure Oops (Message : in     String;
                Item    : in     String;
                Error   : in     String) is
   use Ada.Text_IO;
   use POSIX.Process_Primitives;
begin
   Put_Line (File => Standard_Error,
             Item => "Error: " & Message & Item & ": " & Error);
   Exit_Process (Status => 1);
end Oops;
