-- sigdemo1.adb - shows how a signal handler works.
--              - run this and press Ctrl-C a few times.

with
  Ada.Text_IO,
  C_Signals;

use
  Ada.Text_IO,
  C_Signals;

with Ouch;

procedure Signal_Demonstration_1 is
begin
   Attach (Handler => Ouch'Access,
           To      => Signal_Interrupt);
   for Seconds in 1 .. 5 loop
      Put_Line ("hello");
      delay 1.0;
   end loop;
end Signal_Demonstration_1;
