with POSIX.IO;

package POSIX.File_Descriptor_Control is

   subtype Flags is Option_Set;

   function Sync return Option_Set;
   pragma Inline (Sync);

   function Get_Flags (Item : in     POSIX.IO.File_Descriptor)
     return Flags;

   procedure Set_Flags (Item  : in     POSIX.IO.File_Descriptor;
                        Value : in     Flags);

end POSIX.File_Descriptor_Control;

