with Ada.Text_IO;

package body POSIX.Permissions.Text_IO is

   function Image (Item : in     Permission_Set) return String is
      Buffer : String := "rwxrwxrwx";
   begin
      for Index in Others_Execute .. Owner_Read loop
         if not Item (Index) then
            Buffer (Buffer'Last - Permission'Pos (Index)) := '-';
         end if;
      end loop;
      return Buffer;
   end Image;

   procedure Put (Item : in     Permission_Set) is
   begin
      Ada.Text_IO.Put (Item => Image (Item));
   end Put;

end POSIX.Permissions.Text_IO;
